% Function, used to get relative bounded IRFs
% Based on the work of Tom Holden's paper: http://www.dynare.org/wp-repo/dynarewp004.pdf
% Michael Paetz, November 15, 2011

function IRF = GetRelBoundedIRF( VariableName, ShockName, alpha,TIRF )
    IRF = GetRelIRF( VariableName, ShockName,TIRF);
    TShadow = length( alpha );
    Shadow = zeros( TIRF, TShadow );
    for indx = 0:( TShadow - 1 )
        Shadow( :, indx + 1 ) = GetRelIRF( VariableName, [ 'shadowI_' sprintf( '%d', indx ) ] );
    end
    IRF = IRF + Shadow * alpha;
end